%global dlrn_nvr 0.7.2-0.20180423212248.fee47ee
%global dlrn 1
%define upstream_version 0.7.2
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-pacemaker
Version: 0.7.2
Release: 0.20180423212251%{?dist}
Summary:        Puppet module for Pacemaker
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-pacemaker

Source0: 0.7.2-0.20180423212248.fee47ee-fee47ee9af3d38834c33bec31694f4be6b0c4396.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=fee47ee9af3d38834c33bec31694f4be6b0c4396
Patch0001: 0001-Do-not-call-crm_node-n-when-running-in-a-container.patch
Patch0002: 0002-Fix-a-small-race-window-when-setting-up-pcmk-remotes.patch
Patch0003: 0003-Introduce-a-function-to-verify-for-fixed-crm_diff.patch
Patch0004: 0004-Use-crm_diff-for-pcmk-resource-deep_compare.patch
Patch0005: 0005-Deep_compare-fix-with-location-constraints-and-bette.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-firewall
Requires:       puppet >= 2.7.0

%description
Puppet module for Pacemaker

%prep
%setup -q -n openstack-pacemaker-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker/



%files
%{_datadir}/openstack-puppet/modules/pacemaker/


%changelog
* Wed Aug 08 2018 Michele Baldessari <michele@acksyn.org> 0.7.2-0.20180423212251
- Deep_compare fix with location constraints and better debugging (rhbz#1611538)

* Thu Jul 19 2018 Michele Baldessari <michele@acksyn.org> 0.7.2-0.20180423212250
- Use crm_diff for pcmk resource deep_compare (rhbz#1603205)
- Introduce a function to verify for fixed crm_diff (rhbz#1603205)
- Fix a small race window when setting up pcmk remotes (rhbz#1598038)

* Wed Jul 18 2018 Michele Baldessari <michele@acksyn.org> 0.7.2-0.20180423212249
- Do not call crm_node -n when running in a container (rhbz#1602850)

